|  | Home · All Classes · Modules

# QGraphicsSceneMoveEvent Class Reference
[QtGui module]

The QGraphicsSceneMoveEvent class provides events for widget moving in the graphics view framework. More...

Inherits QGraphicsSceneEvent.

### Methods

- __init__ (self)
- QPointF newPos (self)
- QPointF oldPos (self)

## Detailed Description

The QGraphicsSceneMoveEvent class provides events for widget moving in the graphics view framework.

A QGraphicsWidget sends itself a QGraphicsSceneMoveEvent immediately when its local position changes. The delivery is implemented as part of QGraphicsItem.itemChange().

It's similar to QMoveEvent, but its positions, oldPos() and newPos(), use QPointF instead of QPoint.

See also QGraphicsItem.setPos(), QGraphicsItem.ItemPositionChange, and QGraphicsItem.ItemPositionHasChanged.

## Method Documentation

### QGraphicsSceneMoveEvent.__init__ (self)

Constructs a QGraphicsSceneMoveEvent.

### QPointF QGraphicsSceneMoveEvent.newPos (self)

Returns the new position (i.e., the current position).

See also oldPos() and QGraphicsItem.setPos().

### QPointF QGraphicsSceneMoveEvent.oldPos (self)

Returns the old position (i.e., the position immediatly before the widget was moved).

See also newPos() and QGraphicsItem.setPos().